org.apache.http.io

## Interface HttpMessageWriter<T extends HttpMessage>

- All Known Implementing Classes:
    AbstractMessageWriter, DefaultHttpRequestWriter, DefaultHttpResponseWriter, HttpRequestWriter, HttpResponseWriter

      public interface HttpMessageWriter<T extends HttpMessage>

  Abstract message writer intended to serialize HTTP messages to an arbitrary data sink.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(T message)` Serializes an instance of `HttpMessage` to the underlying data sink.

- - ### Method Detail

    - #### write

          void write(T message)
                     throws IOException,
                            HttpException

      Serializes an instance of `HttpMessage` to the underlying data sink.
      Parameters:
        `message` - HTTP message
      Throws:
        `IOException` - in case of an I/O error
        `HttpException` - in case of HTTP protocol violation

Copyright © 2005–2013 The Apache Software Foundation. All rights reserved.